Bug 1007622 - Review Request: edfbrowser - Opensource, multiplatform, universal viewer.
Review Request: edfbrowser - Opensource, multiplatform, universal viewer.
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 21:34 EDT by Rino Rondan
Modified: 2014-02-23 22:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rino Rondan 2013-09-12 21:34:02 EDT
Spec URL: <http://villadalmine.fedorapeople.org/edfbrowser.spec>
SRPM URL: <http://villadalmine.fedorapeople.org/edfbrowser-1.52-1.fc19.src.rpm>
Description: EDFbrowser is a multi-platform viewer for EEG, EMG, and ECG storage files.
Fedora Account System Username: villadalmine
Comment 1 Christopher Meng 2013-09-12 21:55:32 EDT
I want to know why your changelog said:

* Wed Sep 11 2013 Rino Rondan <villadalmine@fedoraproject.com> - 1.52-1

fedoraproject.com????????
Comment 2 Rino Rondan 2013-09-12 22:06:40 EDT
Changed to villadalmine@fedoraproject.org
Comment 3 Christopher Meng 2013-09-12 22:30:17 EDT
Okay okay ;)

1. I saw your %description is appended without a blank line after the last BR, it's better to leave a blank line for readability.

2. Ah...

In %prep:

cp -p images/edf.png images/edfbrowser.png

then in %install

install -pm 0644 images/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/

I don't understand, why can't you just install -pm 0644 images/edf.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png?

3. I can see 

%doc doc

I prefer 

%doc doc/*

as users will enter /usr/share/doc/$(NAME) and then see all docs immediately but not /usr/share/doc/$(NAME)/doc.
Comment 4 Rino Rondan 2013-09-13 11:29:55 EDT
Hi:
my changes..

1- ok , done.

2-
The source directory ./images have different png so i want only one to use in order to use it with edfbrowser.desktop that is on sources to apply with desktop configuration, so i choose to use the same that the package name.
actual --> install -pm 0644 images/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
proposed --> install -pm 0644 images/edf.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

Let me know if it is ok .

3- I use /* in order to prevent the creation of extra doc directory after the name of package and plus i added LICENSE file.



Regards
Comment 5 Michael Schwendt 2013-10-28 13:57:35 EDT
People get sponsored, packages aren't.
Comment 6 Rino Rondan 2013-10-28 13:59:56 EDT
This package have bundle libraries , im working in order to get those package as a package too.
 http://sourceforge.net/projects/kissfft/
http://uazu.net/fidlib/

Regards
Comment 7 Christopher Meng 2014-02-23 22:51:20 EST
(In reply to Rino Rondan from comment #6)
> This package have bundle libraries , im working in order to get those
> package as a package too.
>  http://sourceforge.net/projects/kissfft/
> http://uazu.net/fidlib/
> 
> Regards

Feel free to submit them as review requests if they are not in the repo, I will review.

Note You need to log in before you can comment on or make changes to this bug.